#!/bin/bash

echo "Do you want to copy:"
echo "1) Into worker"
echo "2) From worker"
read -p "Enter your choice (1 or 2): " choice

if [[ "$choice" == "1" ]]; then
    echo "Copying into worker..."
    sudo cp -r /SSD/media/configs/jellyarr/jellyfin_config/* /SSD/media/configs/jellyarr/jellyfin_worker_config/
    echo "Finished!"

elif [[ "$choice" == "2" ]]; then
    read -p "Are you sure you want to copy FROM worker? (y/n): " confirm
    if [[ "$confirm" == "y" || "$confirm" == "Y" ]]; then
        echo "Copying from worker..."
        sudo cp -r /SSD/media/configs/jellyarr/jellyfin_worker_config/* /SSD/media/configs/jellyarr/jellyfin_config/
        echo "Finished!"
    else
        echo "Operation canceled."
    fi

else
    echo "Invalid choice. Please enter 1 or 2."
fi

